package com.unis.base.server.dao;

import com.unis.base.common.vo.MoneyMonitorVO;
import com.unis.base.server.entity.DjgjcDO;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DjgjcDao {

    /**
     * 价格监测-分页查询
     * @author zoujieli
     * @return
     */
    List<DjgjcDO> getMoneyMonitorList();

    /**
     * 价格监测-查询详情
     * @author zoujieli
     * @param jcdid
     * @return
     */
    DjgjcDO getMoneyMonitorDetail(String jcdid);

    /**
     * 价格监测-编辑修改
     * @author zoujieli
     * @param moneyMonitorVO
     */
    void updateMoneyMonitor(MoneyMonitorVO moneyMonitorVO);

    /**
     * 价格监测-删除
     * @author zoujieli
     * @param jcdid
     */
    void deleteMoneyMonitor(String jcdid);

    /**
     * 价格监测-新增
     * @author zoujieli
     * @param djgjcDO
     */
    void insertMoneyMonitor(DjgjcDO djgjcDO);
}